Cant install Sonos binding in snapshot #1073

I’m trying to install Sonos binding and all a get is a spinning wheel when I try.
I’m using snapshot #1073
Anyone got an ide why this is happening?
In the log a get this:
2017-11-23 18:58:30.396 [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing ‘openhab-binding-sonos’: Unable to resolve root: missing requirement [root] osgi.identity; osgi.identity=openhab-binding-sonos; type=karaf.feature; version="[2.2.0.SNAPSHOT,2.2.0.SNAPSHOT]"; filter:="(&(osgi.identity=openhab-binding-sonos)(type=karaf.feature)(version>=2.2.0.SNAPSHOT)(version<=2.2.0.SNAPSHOT))" [caused by: Unable to resolve openhab-binding-sonos/2.2.0.SNAPSHOT: missing requirement [openhab-binding-sonos/2.2.0.SNAPSHOT] osgi.identity; osgi.identity=esh-binding-sonos; type=karaf.feature [caused by: Unable to resolve esh-binding-sonos/0.9.0.SNAPSHOT: missing requirement [esh-binding-sonos/0.9.0.SNAPSHOT] osgi.identity; osgi.identity=org.eclipse.smarthome.binding.sonos; type=osgi.bundle; version="[0.9.0.201711202142,0.9.0.201711202142]"; resolution:=mandatory [caused by: Unable to resolve org.eclipse.smarthome.binding.sonos/0.9.0.201711202142: missing requirement [org.eclipse.smarthome.binding.sonos/0.9.0.201711202142] osgi.wiring.package; filter:="(osgi.wiring.package=org.eclipse.smarthome.config.discovery.upnp)"]]]

Hi,

Some related topics:


Summary: some Sonos issues have been fixed in a later release (first link). So upgrading is definitely worth a try. Be careful, some people reported new issues (second link).

Thanks for the quick reply, will test that tomorrow.